package be.iminds.ilabt.jfed.rspec.model.imutable_impl;


import be.iminds.ilabt.jfed.rspec.model.ExecuteService;

public class ImmutableExecuteService implements ExecuteService {
    private String shell;
    private String command;
    private String finishedFile;

    public ImmutableExecuteService(ExecuteService orig) {
        this.shell = orig.getShell();
        this.command = orig.getCommand();
        this.finishedFile = orig.getFinishedFile();
    }

    @Override
    public String getShell() {
        return shell;
    }

    @Override
    public String getCommand() {
        return command;
    }

    @Override
    public void setShell(String shell) {
        this.shell = shell;
    }

    @Override
    public void setCommand(String command) {
        this.command = command;
    }

    public String getFinishedFile() {
        return finishedFile;
    }

    @Override
    public void setFinishedFile(String finishedFile) {
        this.finishedFile = finishedFile;
    }
}
